compact2, compact3
javax.xml.datatype

## Class DatatypeConstants.Field

- java.lang.Object
- - javax.xml.datatype.DatatypeConstants.Field

- Enclosing class:
    DatatypeConstants

      public static final class DatatypeConstants.Field
      extends Object

  Type-safe enum class that represents six fields of the `Duration` class.
  Since:
    1.5

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getId()` Get id of this Field.
    `String` | `toString()` Returns a field name in English.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### toString

          public String toString()

      Returns a field name in English. This method is intended to be used for debugging/diagnosis and not for display to end-users.
      Overrides:
        `toString` in class `Object`
      Returns:
        a non-null valid String constant.

    - #### getId

          public int getId()

      Get id of this Field.

      Returns:
        Id of field.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.